# Class OpenSSLConfCmd

java.lang.Object
org.apache.tomcat.util.net.openssl.OpenSSLConfCmd

All Implemented Interfaces:
  `Serializable`

public class OpenSSLConfCmd extends Object implements Serializable
Represents an OpenSSL configuration command with a name-value pair.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GROUPS`
Sets TLS groups.
`static final String`
`NO_OCSP_CHECK`
Disables OCSP checking.
`static final String`
`OCSP_SOFT_FAIL`
Enables OCSP soft fail mode.
`static final String`
`OCSP_TIMEOUT`
Sets OCSP timeout.
`static final String`
`OCSP_VERIFY_FLAGS`
Sets OCSP verify flags.

## Constructor Summary

Constructors
Constructor
Description
`OpenSSLConfCmd()`
Constructs a new OpenSSLConfCmd with no name or value.
`OpenSSLConfCmd(String name, String value)`
Constructs a new OpenSSLConfCmd with the given name and value.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the command name.
`String`
`getValue()`
Returns the command value.
`void`
`setName(String name)`
Sets the command name.
`void`
`setValue(String value)`
Sets the command value.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NO_OCSP_CHECK

public static final String NO_OCSP_CHECK
Disables OCSP checking.

See Also:
  - Constant Field Values

### OCSP_SOFT_FAIL

public static final String OCSP_SOFT_FAIL
Enables OCSP soft fail mode.

See Also:
  - Constant Field Values

### OCSP_TIMEOUT

public static final String OCSP_TIMEOUT
Sets OCSP timeout.

See Also:
  - Constant Field Values

### OCSP_VERIFY_FLAGS

public static final String OCSP_VERIFY_FLAGS
Sets OCSP verify flags.

See Also:
  - Constant Field Values

### GROUPS

public static final String GROUPS
Sets TLS groups.

See Also:
  - Constant Field Values

## Constructor Details

### OpenSSLConfCmd

public OpenSSLConfCmd()
Constructs a new OpenSSLConfCmd with no name or value.

### OpenSSLConfCmd

public OpenSSLConfCmd(String name, String value)
Constructs a new OpenSSLConfCmd with the given name and value.

Parameters:
  `name` - The command name
  `value` - The command value

## Method Details

### getName

public String getName()
Returns the command name.

Returns:
  The command name

### setName

public void setName(String name)
Sets the command name.

Parameters:
  `name` - The command name

### getValue

public String getValue()
Returns the command value.

Returns:
  The command value

### setValue

public void setValue(String value)
Sets the command value.

Parameters:
  `value` - The command value